
import pickle
import matplotlib.pyplot as plt


dataset = 'mit67'
measure = 'test_accuracy' # loss, train_accuracy, test_accuracy. valid_accuracy
resultfile = 'troute_'+dataset+'_EXP3_64_xstitch_runId1_results.pkl'
resultfile1 = 'troute_acc_'+dataset+'_EXP3_64_xstitch_runId1_results.pkl'
resultfile2 = 'troute_gain_'+dataset+'_EXP3_64_xstitch_runId1_results.pkl'

simple_result = pickle.load(open('results/results/'+resultfile,'rb'))
simple_result1 = pickle.load(open('results/results/'+resultfile1,'rb'))
simple_result2 = pickle.load(open('results/results/'+resultfile2,'rb'))

plt.plot(simple_result[measure])
plt.plot(simple_result1[measure])
plt.plot(simple_result2[measure])

plt.legend(('Original Acc', 'Accuracy_Gain', 'Predicted_Gain'))

plt.ylabel(measure)
plt.show()